<?php
//创建TCP服务器

/**
 * 创建TCP服务对象 new swoole_server($host, $port, $mode, $sock_type)
 * $host : 127.0.0.1      监听本地IP
 *         139.196.86.20  监听远程IP
 *         0.0.0.0        不限制IP
 * $port : 9501           端口号，小于1024需要root权限
 * $mode : SWOOLE_PROCESS 多进程的方式
 * $sock_type：SWOOLE_SOCK_TCP 默认TCP
 */

//创建对象，监听 127.0.0.1:9501端口
$serv = new swoole_server("0.0.0.0", 9501);

/**
 * 使用
 * $serv->on($event, $callback)
 * $event : 事件
 *         connect : 当建立连接的时 $serv：服务器信息, $fd：客户端信息
 *         receive : 当接收数据时 $serv：服务器信息, $fd：客户端信息, $from_id：ID, $data：数据
 *         close   : 关闭连接
 */

//连接
$serv->on('connect', function ($serv, $fd) {
	echo "建立连接\n";
});

//接收数据
$serv->on('receive', function ($serv, $fd, $from_id, $data) {
	//$serv->send($fd, "接收到数据: " . $data);
	echo "接收到数据：\n";
	var_dump($data);
});

//监听连接关闭事件
$serv->on('close', function ($serv, $fd) {
	echo "关闭连接\n";
});

//开启服务
$serv->start();
?>